import { z } from "zod";

//----------------------------------------------------------------------------------------

export const eventSchema = z.object({
  title: z
    .string({ required_error: "Le titre est obligatoire" })
    .min(1, "Le titre est obligatoire")
    .max(500, "500 caractères au maximum"),
  briefDescription: z.string({
    required_error: "La brève description est obligatoire",
  }),
  description: z.string({ required_error: "La description est obligatoire" }),
  date: z.string({ required_error: "La date est obligatoire" }),

  images: z.array(z.string()).max(20, "20 images au maximum"),
});

export type EventSchema = z.infer<typeof eventSchema>;

//----------------------------------------------------------------------------------------

export const eventActiveSchema = z.object({
  active: z.boolean(),
});

export type EventActiveSchema = z.infer<typeof eventActiveSchema>;

//----------------------------------------------------------------------------------------
